/*$Id: iceb_t_viceb_t_perecod.c,v 5.7 2013/05/17 14:56:29 sasa Exp $*/
/*21.02.2010	15.02.2010	Белых А.И. 	iceb_t_viceb_t_perecod.c
Определение нужной перекодировки по расширению файла до передачи на WINDOWS машину
-1 - не смогли определить нужно перекодировать или нет
 0 - без перекодировки 
 1 - CP866 
 2 - WINDOWS-1251
*/
#include "buhl.h"
int iceb_t_viceb_t_perecod_menu();


int iceb_t_viceb_t_perecod(const char *imaf)
{
class iceb_tu_str rashir("");

int kolpol=iceb_tu_pole2(imaf,'.');

if(kolpol == 0)
 return(iceb_t_viceb_t_perecod_menu());
 
if(iceb_tu_polen(imaf,&rashir,kolpol,'.') != 0)
 return(iceb_t_viceb_t_perecod_menu());

if(iceb_tu_SRAV("DBF",rashir.ravno(),0) == 0 || iceb_tu_SRAV("dbf",rashir.ravno(),0) == 0)
 {
  return(0);
 }
if(iceb_tu_SRAV("PFZ",rashir.ravno(),0) == 0 || iceb_tu_SRAV("pfz",rashir.ravno(),0) == 0)
 {
  return(0);
 }
  /*Форма 1дф имеет такие расширения файла являясь dbf файлом*/
if(iceb_tu_SRAV("1",rashir.ravno(),0) == 0 || iceb_tu_SRAV("2",rashir.ravno(),0) == 0 ||\
   iceb_tu_SRAV("3",rashir.ravno(),0) == 0 || iceb_tu_SRAV("4",rashir.ravno(),0) == 0)
 {
  return(0);
 }

if(iceb_tu_SRAV("TXT",rashir.ravno(),0) == 0 || iceb_tu_SRAV("txt",rashir.ravno(),0) == 0)
 {
  return(2);
 }
if(iceb_tu_SRAV("LST",rashir.ravno(),0) == 0 || iceb_tu_SRAV("lst",rashir.ravno(),0) == 0)
 {
  return(2);
 }
if(iceb_tu_SRAV("XML",rashir.ravno(),0) == 0 || iceb_tu_SRAV("xml",rashir.ravno(),0) == 0)
 {
  if(iceb_t_poldan_vkl("Перекодировка XML файлов при копировании на Windows машину","nastsys.alx") != 0)
   return(0);
  return(2);
 }

return(iceb_t_viceb_t_perecod_menu());


}
/***************************/
/*меню выбора*/
/****************************/
int iceb_t_viceb_t_perecod_menu()
{
int kom=0;
VVOD MENU(3);
MENU.VVOD_spisok_add_ZAG(gettext("Виберите нужное и нажмите Enter"));

MENU.VVOD_spisok_add_MD(gettext("Записать как есть"));
MENU.VVOD_spisok_add_MD(gettext("Записать перекодированным в WINDOWS кодировку"));
MENU.VVOD_spisok_add_MD(gettext("Выход"));

while(menu3w(stdscr,&MENU,&kom,-1,-1,0) != 0);

switch(kom)
 {
  case -1:
  case 2:
    return(-1);
  case 0:
    return(0);
  case 1:
    return(2);        
 }

return(-1);
}
